org.jacoco.report

## Interface ILanguageNames

All Known Implementing Classes:
  JavaNames

    public interface ILanguageNames

Interface to create programming language specific names from VM names.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getClassName(String vmname, String vmsignature, String vmsuperclass, String[] vminterfaces)` Calculates the language specific name of a class.
`String` `getMethodName(String vmclassname, String vmmethodname, String vmdesc, String vmsignature)` Calculates the language specific name of a method.
`String` `getPackageName(String vmname)` Calculates the language specific name of a package.
`String` `getQualifiedClassName(String vmname)` Calculates the language specific qualified name of a class.
`String` `getQualifiedMethodName(String vmclassname, String vmmethodname, String vmdesc, String vmsignature)` Calculates the language specific fully qualified name of a method.

### Method Detail

#### getPackageName

    String getPackageName(String vmname)

Calculates the language specific name of a package.

Parameters:
  `vmname` - vm name of a package
Returns:
  language specific notation for the package

#### getClassName

    String getClassName(String vmname,
                        String vmsignature,
                        String vmsuperclass,
                        String[] vminterfaces)

Calculates the language specific name of a class.

Parameters:
  `vmname` - vm name of a class
  `vmsignature` - vm signature of the class (may be `null`)
  `vmsuperclass` - vm name of the superclass of the class (may be `null`)
  `vminterfaces` - vm names of interfaces of the class (may be `null`)
Returns:
  language specific notation of the class

#### getQualifiedClassName

    String getQualifiedClassName(String vmname)

Calculates the language specific qualified name of a class.

Parameters:
  `vmname` - vm name of a class
Returns:
  language specific qualified notation of the class

#### getMethodName

    String getMethodName(String vmclassname,
                         String vmmethodname,
                         String vmdesc,
                         String vmsignature)

Calculates the language specific name of a method.

Parameters:
  `vmclassname` - vm name of a containing class
  `vmmethodname` - vm name of the method
  `vmdesc` - vm method descriptor
  `vmsignature` - vm signature of the method (may be `null`)
Returns:
  language specific notation for the method

#### getQualifiedMethodName

    String getQualifiedMethodName(String vmclassname,
                                  String vmmethodname,
                                  String vmdesc,
                                  String vmsignature)

Calculates the language specific fully qualified name of a method.

Parameters:
  `vmclassname` - vm name of a containing class
  `vmmethodname` - vm name of the method
  `vmdesc` - vm method descriptor
  `vmsignature` - vm signature of the method (may be `null`)
Returns:
  language specific notation for the method